Create a new referrer
curl --request POST \
--url https://api.kameleoon.com/referrers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"detections": [
{
"and": true,
"andMethod": "<string>",
"andParameters": "<string>",
"method": "<string>",
"parameters": "<string>"
}
],
"priority": 123,
"siteId": 123,
"tags": "<string>"
}
'import requests
url = "https://api.kameleoon.com/referrers"
payload = {
"name": "<string>",
"detections": [
{
"and": True,
"andMethod": "<string>",
"andParameters": "<string>",
"method": "<string>",
"parameters": "<string>"
}
],
"priority": 123,
"siteId": 123,
"tags": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
detections: [
{
and: true,
andMethod: '<string>',
andParameters: '<string>',
method: '<string>',
parameters: '<string>'
}
],
priority: 123,
siteId: 123,
tags: '<string>'
})
};
fetch('https://api.kameleoon.com/referrers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"detections": [
{
"and": true,
"andMethod": "<string>",
"andParameters": "<string>",
"method": "<string>",
"parameters": "<string>"
}
],
"id": 123,
"index": 123,
"modificationDate": "2023-11-07T05:31:56Z",
"priority": 123,
"siteId": 123,
"tags": "<string>"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}Referrer
Create a new referrer
Create new referrer with given parameters
POST
/
referrers
Create a new referrer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Created
Name of the referrer
Date and time referred is created
Show child attributes
Show child attributes
Unique Id of the referrer
Index of the referrer
Date and time referred is modified
Priority of the referrer
Site Id of the project the referrer belongs to
Tags belonging to this referrer
Was this page helpful?
⌘I